#if !defined(AFX_OUTPUTBLOCKVIEW_H__251D1F63_48DA_42CF_A8C2_D74F7218BC88__INCLUDED_)
#define AFX_OUTPUTBLOCKVIEW_H__251D1F63_48DA_42CF_A8C2_D74F7218BC88__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OutputBlockView.h : header file
//
#include "DiagramEngDoc.h"	// rqd. since GetDocument() fn returns a CDiagramEngDoc-ptr

/////////////////////////////////////////////////////////////////////////////
// COutputBlockView view

class COutputBlockView : public CView
{
protected:
	COutputBlockView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(COutputBlockView)

// Attributes
public:
	CDiagramEngDoc* GetDocument();	// Manually added (BF)

// Operations
public:
	COutputBlock* GetRefOutputBlock(void);
	int SelectGraphCurveColor(int k);
	void DrawGraph(CDC *pDC, LONG wnd_width, LONG wnd_height, double **dOutputMatrix, int nrows, int ncols, double max, double min);
	int DetermineMaxMinValues(double **matrix, int nrows, int ncols, double &max, double &min);
	void SetRefOutputBlock(COutputBlock *ref_blk);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COutputBlockView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~COutputBlockView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(COutputBlockView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	COutputBlock* m_pOutputBlk;
};

// DiagramEng (start)
#ifndef _DEBUG  // debug version in OutputBlockView.cpp
inline CDiagramEngDoc* COutputBlockView::GetDocument()
   { return (CDiagramEngDoc*)m_pDocument; }
#endif
// DiagramEng (end)

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OUTPUTBLOCKVIEW_H__251D1F63_48DA_42CF_A8C2_D74F7218BC88__INCLUDED_)
